summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-12-09 20:56:25 +0000
committerMichał Górny <mgorny@gentoo.org>2012-12-09 20:56:25 +0000
commit6a4d7b6ca07b2d8a690b658845eb530d94acd9b2 (patch)
treedd3f1d4c1250def911c2ab6b350a391ceb0654d0 /eclass
parentfix gettext deps per bug #398977 and clean out old ebuilds (diff)
downloadgentoo-2-6a4d7b6ca07b2d8a690b658845eb530d94acd9b2.tar.gz
gentoo-2-6a4d7b6ca07b2d8a690b658845eb530d94acd9b2.tar.bz2
gentoo-2-6a4d7b6ca07b2d8a690b658845eb530d94acd9b2.zip
Fix python-exec symlink generation for Prefix. Thanks to Fabian Groffen for help.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/distutils-r1.eclass4
2 files changed, 7 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index ded8d8e62343..7464d1b81c26 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.555 2012/12/09 15:37:12 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.556 2012/12/09 20:56:25 mgorny Exp $
+
+ 09 Dec 2012; Michał Górny <mgorny@gentoo.org> distutils-r1.eclass:
+ Fix python-exec symlink generation for Prefix. Thanks to Fabian Groffen for
+ help.
09 Dec 2012; Ian Stakenvicius <axs@gentoo.org> mozcoreconf-2.eclass,
mozconfig-3.eclass:
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 33d716c9ed9e..f5cc4e6f7f8e 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.30 2012/12/07 22:23:04 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.31 2012/12/09 20:56:25 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -295,7 +295,7 @@ _distutils-r1_rename_scripts() {
mv "${f}" "${newf}" || die
debug-print "${FUNCNAME}: installing wrapper at ${f#${D}/}"
- _python_ln_rel "${path}"/usr/bin/python-exec "${f}" || die
+ _python_ln_rel "${path}${EPREFIX}"/usr/bin/python-exec "${f}" || die
fi
done < <(find "${path}" -type f -executable -print0)
}